#!/usr/bin/python

# Class to hold data structures used for base protect
# Copyright (c) 2004 David L. Parsley <parsley@taolinux.org>
# License: GPL

class protector:
    def __init__(self):
	self.protected = []
	self.notprotected = []
        self.vendor = 'Null'

    def setdistvendor(self, vendor):
        self.vendor = vendor

    def getdistvendor(self):
        return self.vendor

    # Create the list of non-protected packages
    # This happens first, during local rpmdb load (it must)
    # Consists of pkgs whose vendor != distroverpkg vendor
    def addnonprot(self, name):
        if name not in self.notprotected:
            self.notprotected.append(name)

    # Create the list of protected packages
    # Populated while loading repository header.info
    # from repositories marked as basesystem
    def addprot(self, name):
	if name not in self.protected:
            if name not in self.notprotected:
                self.protected.append(name)
                return 1
            else:
                return 0
        return 1

    def isprotected(self, name):
        if name in self.protected and name not in self.notprotected:
	    return 1
	else:
	    return 0
